part of 'location_bloc.dart';

abstract class LocationState extends Equatable {
  const LocationState();

  @override
  List<Object> get props => [];
}

class LocationLoading extends LocationState {}

class LocationLoaded extends LocationState {
  LocationLoaded(this.bldgloc);
  final BldgLoc bldgloc;

  @override
  List<Object> get props => [bldgloc];
}

class LocationErrorState extends LocationState {
  LocationErrorState(this.error);
  final String error;

  @override
  List<Object> get props => [error];
}
